<?php
namespace Incoviba\nuevo\Venta;

use Incoviba\Common\Alias\NewModel;

/**
 * 
 * @author Aldarien
 * @property Pie pie_id
 * @property Pago escritura_id
 * @property Pago credito_id
 * @property Pago subsidio_id
 *
 */
class FormaPago extends NewModel
{
	protected static $_table = 'forma_pago';
	
    public function pie()
    {
    	return $this->belongsTo(Pie::class, 'pie_id')->findOne();
    }
    public function escritura()
    {
    	return $this->belongsTo(Pago::class, 'escritura_id')->findOne();
    }
    public function credito()
    {
    	return $this->belongsTo(Pago::class, 'credito_id')->findOne();
    }
    public function subsidio()
    {
    	return $this->belongs_to(Subsidio::class, 'subsidio_id')->findOne();
    }
}
